gnutls_record_recv_early_data(3)

NAME
gnutls_record_recv_early_data - API function

SYNOPSIS
#include <gnutls/gnutls.h>

ssize_t gnutls_record_recv_early_data(gnutls_session_t session, void * data, size_t data_size);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

void * data
    the buffer that the data will be read into

size_t data_size
    the number of requested bytes

DESCRIPTION
This function can be used by a server to retrieve data sent early in the handshake processes when resuming a session. This is used to implement a zero-roundtrip (0-RTT) mode. It has the same semantics as gnutls_record_recv().

This function can be called either in a handshake hook, or after the handshake is complete.

RETURNS
The number of bytes received and zero when early data reading is complete. A negative error code is returned in case of an error. If no early data is received during the handshake, this function returns GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE. The number of bytes received might be less than the requested
 data_size .

SINCE
3.6.5

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/